/*****************************************************************************
 *                                 Display.h                                 *
 *****************************************************************************

Display routines for the StickyBot controller board.

*****************************************************************************/

#ifndef __DISPLAY_H
#define __DISPLAY_H

#include "18fUtil.h"
#include <p18cxxx.h>


/*****************************************************************************
						PUBLIC TYPES, MACROS, DEFINITIONS
*****************************************************************************/
#define	G_LED				(PORTCbits.RC0)
#define	R_LED				(PORTCbits.RC1)

#define DSP_SetGreen(status)	(G_LED = status)
#define DSP_SetRed(status)		(R_LED = status)

#define DSP_ToggleGreen() 		(R_LED = !R_LED)
#define DSP_ToggleRed()			(R_LED = !R_LED)


/*****************************************************************************
						PUBLIC FUNCTION PROTOYPES
*****************************************************************************/

/* Initializes the display (ports, pins, etc) */
void DSP_InitDisplay(void);

/* Indicates to the user that everything has initialized correctly */
void DSP_Hello(void);

/* Flashes the red LED a number of times corresponding to the error code (as
 * defined in 18fUtil.h).  This code blocks until the start key is pressed.
 */
void DSP_ShowError(unsigned char err);

#endif /* __DISPLAY_H */
