#include "18fXX20_conf.h"
//#include <p18cxxx.h>
#include "serial.h"
#include "servo.h"
#include "18fUtil.h"
//#include "MatrixMath.h"
#include "StanceController.h"
#include "Display.h"
#include "18fSensors.h"
#include "control.h"
//#include "ServoConfig.h"
#include "ControllerMath.h"
#include "PhysicalConfig.h"
#include "interrupts.h"
#include "keys.h"

#pragma code
void main(void)
{	
	static unsigned char leg_shift = 0xFF;
	static SensorGroupNumber_t forces;

	DSP_InitDisplay();
	SNS_InitSensors();
	SRL_InitializeSerialPort();
	SRV_InitializeServos();
	InitStanceControl();
	InitKeys();
	
	DSP_Hello();
	
	INTCONbits.PEIE = 1;
	INTCONbits.GIE = 1;
	
	SNS_PollSensors();
	SNS_ZeroSensors();
	SRV_EnableServos();
	
	CTRL_ResetCtrl();

	while(1)
	{
		SRL_HandleData();

		if (HasTimerTriggered())
		{
			SNS_PollSensors();
			SRL_SendForces();
			CTRL_ControlLoop();
			SRV_UpdateServoValues();
		}

		if (CheckSingleKey(KEY_1))
		{
			CTRL_EnableCtrl();
		}
		if (CheckSingleKey(KEY_0))
		{
			CTRL_DisableCtrl();
		}
	}

}
